Description

An Option to delete files physically from playlist would be just great !,

it's very usefull for example when you are cleaning a folder with 5000 mp3's

and you want to delete those that you dislike (for any reason). I hear many people that

would like to have this, so its a good idea, and many players allready have it, so its not

a bad idea.

Greetings from Argentina, Lucas.

History

#1 - August 23, 2012 18:20 - Conde Mor

I agree with you Lucas. I sometimes run Wine + WinAmp to get to do this. However, WinAmp have no a "global hotkey" to do this (apart from typicall

"Play", "Pause", etc). Usually I NEED to delete a song inmediately while I'm listening it, but don't like the need to put WinAmp in foregrund to do this.

So, I bet for this functionality in Audacious.

Hasta luego, Lucas!!

#2 - August 29, 2012 09:45 - Alex T

Agreed. Very useful option. I always used it in Aimp while worked on Windows.

IMO, the context menu item should sit under sub-menu to avoid accidentally deletion of a file.

#3 - February 06, 2013 01:19 - Marcin Kocur

+1

#4 - March 30, 2013 17:25 - Burrito Bazooka

Is anyone interested in implementing this? I would switch back to Audacious from Banshee if this feature was present.

#5 - March 30, 2013 17:30 - Burrito Bazooka

Burrito Bazooka wrote:

Is anyone interested in implementing this? I would switch back to Audacious from Banshee if this feature was present.

 

Also, the ability to copy files (not just playlist entries) is pretty important...
#6 - March 30, 2013 18:30 - John Lindgren

Copying and deleting files are good features for a file manager (or music manager) to have.  Audacious is not intended to be either of those things.

#7 - March 31, 2013 01:13 - Burrito Bazooka

I'm inclined to disagree (by matter of opinion, however) - the vast majority of music players I have used in the past have had a very basic capability of

performing delete functions on the files they are using. To me, a music player is not fulfilled without these basic capabilities...

If core devs are not willing to implement this, maybe there is someone who would like to write this in the form of a script?

#8 - October 04, 2013 21:21 - Luciano Ferrer

It is obvious that all the people voting NO to this, never had to clean a vast music colection...

XMMS has that option...

Erase, Misc, Erase phisically, Really want to delete XYZ file?*, OK...  Done...

It is not that complicated, right?

Hello xmms, here we go!

you can select multiple files too

#9 - November 24, 2013 04:42 - John Lindgren

- Target version set to 3.5

I still don't agree with having this feature in a music player, but obviously a lot of people want it, so it can go in a plugin.  It will be in 3.5:

https://github.com/audacious-media-player/audacious-plugins/commit/9ee01f24b9e66d97bbc163973a62294b8c301399

#10 - November 24, 2013 05:17 - John Lindgren

Now with GIO trash support:

https://github.com/audacious-media-player/audacious-plugins/commit/d061fd7b054c90cfd5e07e67ebd5b7cc9bee636b

#11 - November 24, 2013 05:32 - John Lindgren

- % Done changed from 0 to 100

#12 - November 24, 2013 05:33 - John Lindgren

- Status changed from New to Closed
